## live-boot 20220505

=== debian/changelog ===
live-boot (1:20220505) unstable; urgency=medium

  [ Thore Sommer ]
  * Remove encryption support for live-media via losetup.
  * Fix blacklisting for devices that contain the live rootfs for
    persistence. (Closes: #934701)
  * Adding support for dm-verity rootfs
  * docs: document dm-verity support

 -- Luca Boccassi <bluca@debian.org>  Thu, 05 May 2022 11:16:56 +0100
