## live-boot 20230131

=== debian/changelog ===
live-boot (1:20230131) unstable; urgency=medium

  [ Thore Sommer ]
  * set redirect=on for overlayfs unions
  * fix dm-verity installation for non merged /bin and /usr/bin (Closes:
    #1010951)

 -- Luca Boccassi <bluca@debian.org>  Tue, 31 Jan 2023 16:30:52 +0000
