## live-boot 20230131+deb12u1

=== debian/changelog ===
live-boot (1:20230131+deb12u1) bookworm; urgency=medium

  * Add fix to get DHCP from all nics, not only the first one seen with link
    up (Closes: #1069048).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Nov 2024 22:14:44 +0100
