## live-boot 20230131.drbl1

=== debian/changelog ===
live-boot (1:20230131.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patches from DRBL project:
    08_add_hwbin_for_udev.patch
    12_suppress_removable_cat_msg.patch
    16_stick_to_pxe_srv_add_dhcp-vendor-id.patch
    18_add_multiple_module_for_toram.patch
    25_netboot_with_static_ip_add.patch

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Feb 2023 22:04:05 +0800
