## live-boot 20240315.drbl1

=== debian/changelog ===
live-boot (1:20240315.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use upstream git on 2024/03/15.
  * Applied patches from DRBL/Clonezilla team.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 15 Mar 2024 11:00:10 +0800
