## live-boot 20240525

=== debian/changelog ===
live-boot (1:20240525) unstable; urgency=medium

  [ Thore Sommer ]
  * luks: is_active_luks_mapping() check explicitly for type
  * Introduce lukslabel option

  [ Jan Schär ]
  * Use "tmpfs" instead of "/dev/shm" as tmpfs device name

  [ Thore Sommer ]
  * setup_loop: simplify and fix dependency on kernel defaults

  [ MexIT ]
  * CI update
  * Added exfat support to the initramfs

  [ Luca Boccassi ]
  * Update to debhelper-compat 13
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Install all files under /usr/

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 May 2024 12:12:34 +0100
