## live-boot 20240525.1

=== debian/changelog ===
live-boot (1:20240525.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix to get DHCP from all nics, not only the first one seen with link
    up (Closes: #1069048).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Nov 2024 12:42:59 +0100
