## live-boot 20240525.drbl1

=== debian/changelog ===
live-boot (1:20240525.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patches from DRBL/Clonezilla project.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 29 May 2024 19:28:13 +0800
