## live-boot 20250225

=== debian/changelog ===
live-boot (1:20250225) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Add HTTP boot support by including kernel modules for pmem devices:
    of_pmem, nd_pmem, nfit.

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Feb 2025 10:07:15 +0000
