## live-boot 20250225.drbl1

=== debian/changelog ===
live-boot (1:20250225.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patches from DRBL/Clonezilla project.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 01 Mar 2025 18:33:40 +0800
