## live-boot 20250225.drbl2

=== debian/changelog ===
live-boot (1:20250225.drbl2) unstable; urgency=medium

  * Fixed 26-wait-multiple-nic.patch.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 01 Mar 2025 20:05:57 +0800
