=== debian/changelog ===
live-boot (1:20250815~deb13u1) trixie; urgency=medium

  * Upload to trixie

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Aug 2025 18:47:32 +0100

live-boot (1:20250815) unstable; urgency=medium

  [ Roland Clobus ]
  * Don't verify with all checksum files

  [ Luca Boccassi ]
  * Remove live-build's os-release on removal (Closes: #1111039)

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Aug 2025 17:18:52 +0100
