=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 	# live-boot-initramfs-tools
 	mkdir -p debian/live-boot-initramfs-tools/usr/share
 	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share
-
-override_dh_missing:
-	dh_missing --fail-missing
