## live-boot 20250815.drbl1

=== debian/changelog ===
live-boot (1:20250815.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied patches from DRBL project.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Aug 2025 16:56:15 +0800
