## live-boot 20250815.drbl2

=== debian/changelog ===
live-boot (1:20250815.drbl2) unstable; urgency=medium

  * Patched to have a parameter ethdevice-link-timeout for ethernet device
    linking status timeout, and its default value is set as 15 secs.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/579168f80f/

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Aug 2025 08:22:16 +0800
